unit Unit1;

{$MODE Delphi}

interface

uses
  LCLIntf, LCLType, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, SortListViews, ComCtrls;

type
  TForm1 = class(TForm)
    SortListView1: TSortListView;
    ImageList1: TImageList;
    procedure FormCreate(Sender: TObject);
    procedure SortListView1CustomSort(Sender: TObject; ColIndex: Integer;
      Str1, Str2: String; var Res: Integer; var Handled: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}


procedure TForm1.FormCreate(Sender: TObject);
begin
  with SortListView1.Items.Add do
  begin
    Caption := 'Item 1';
    SubItems.Add('aaaaa');
    SubItems.Add('12345');
    SubItems.Add('kkkkk');
  end;
  with SortListView1.Items.Add do
  begin
    Caption := 'Item 2';
    SubItems.Add('iiiii');
    SubItems.Add('72334');
    SubItems.Add('sjfjs');
  end;
  with SortListView1.Items.Add do
  begin
    Caption := 'Item 3';
    SubItems.Add('uuiiu');
    SubItems.Add('92843');
    SubItems.Add('jhase');
  end;
  with SortListView1.Items.Add do
  begin
    Caption := 'Item 4';
    SubItems.Add('iouri');
    SubItems.Add('28342');
    SubItems.Add('lkasj');
  end;
  with SortListView1.Items.Add do
  begin
    Caption := 'Item 5';
    SubItems.Add('ooooo');
    SubItems.Add('91929');
    SubItems.Add('nsjsk');
  end;
end;

procedure TForm1.SortListView1CustomSort(Sender: TObject;
  ColIndex: Integer; Str1, Str2: String; var Res: Integer;
  var Handled: Boolean);
var
  n1, n2: Integer;
begin
  if (ColIndex = 2) then
  begin
    n1 := StrToIntDef(Str1, 0);
    n2 := StrToIntDef(Str2, 0);
    if (n1 = n2)
      then Res := 0 else
    if (n1 > n2)
      then Res := 1
      else Res := -1;
    Handled := True;
  end;
end;

end.
